%global momorel 2

Name: iptstate
Summary: A top-like display of IP Tables state table entries
Version: 2.2.1
Release: %{momorel}m%{?dist}
Source: http://www.phildev.net/iptstate/iptstate-%{version}.tar.bz2
NoSource: 0
Patch0: iptstate-2.1-man8.patch
Patch1: iptstate-2.2.1-strerror.patch
Group: System Environment/Base
URL: http://www.phildev.net/iptstate/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
License: BSD
Requires: iptables
BuildRequires: ncurses-devel
BuildRequires: libnetfilter_conntrack-devel

%description
IP Tables State (iptstate) was originally written to implement
the "state top" feature of IP Filter (see "The Idea" below) in
IP Tables. "State top" displays the states held by your stateful
firewall in a top-like manner.

Since IP Tables doesn't have a built in way to easily display 
this information even once, an option was added to just have it 
display the state table once.
 
  Features include:
        - Top-like realtime state table information
        - Sorting by any field
        - Reversible sorting
        - Single display of state table
        - Customizable refresh rate
        - Display filtering
        - Color-coding
        - Open Source
        - much more...

%prep
%setup -q
%patch0 -p1 -b .man8
%patch1 -p1 -b .strerror

%build
make CXXFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
%makeinstall PREFIX=%{buildroot}%{_prefix}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc LICENSE README
%{_sbindir}/iptstate
%{_mandir}/man8/iptstate.*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.2.1-2m)
- rebuild against rpm-4.6

* Sun Jul 20 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (2.2.1-1m)
- version up 2.2.1
- sync Fedora

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1-3m)
- rebuild against gcc43

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.1-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Wed Mar 14 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.1-1m)
- version up

* Wed Mar 14 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.4-1m)
- import from fc

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.4-1.1.2.2
- rebuild

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.4-1.1.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.4-1.1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Apr 18 2005 Thomas Woerner <twoerner@redhat.com> 1.4-1.1
- fixed man page: install as man8 instead of man1, fixed reference for
  iptables(8)

* Sun Apr 17 2005 Warren Togami <wtogami@redhat.com> 1.4-1
- 1.4

* Wed Feb  9 2005 Thomas Woerner <twoerner@redhat.com> 1.3-5
- rebuild

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb  2 2004 Thomas Woerner <twoerner@redhat.com> 1.3-2
- added BuildRequires for ncurses-devel

* Mon Jan 26 2004 Thomas Woerner <twoerner@redhat.com> 1.3-1
- initial package
